commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christian Grobmeier <grobme...@gmail.com>
Subject Re: [ALL] Maven 2 - (was Commons Parent pom - any more changes needed?)
Date Sun, 08 Jan 2012 11:11:32 GMT
On Sun, Jan 8, 2012 at 6:21 AM, Ralph Goers <ralph.goers@dslextreme.com> wrote:
>
> On Jan 7, 2012, at 11:44 AM, Luc Maisonobe wrote:
>
>> Le 07/01/2012 15:36, Gary Gregory a écrit :
>>>>
>>>
>>> When can we drop support for M2?
>>
>> I guess there are still a lot of m2 users, and for the next few years
>> there will still be many. At least when I run an "aptitude search maven"
>> on my Debian Linux box, I only see maven 2 supported. Getting rid of
>> maven 2 is not an option for me now.
>

Out of curiosity: why can't you run m3 on debian linux? m3 is java,
you should be able to download it and place it in your path.
I thought everybody who wants to build commons components himself
should be able to install m3 on every plattform with java around. Or
do I miss something?

> I'm not sure how it is relevant whether commons users use maven 2 or 3. Even if we require
Maven 3 to build a commons component anyone can still use it in a Maven 2 build. They only
would require Maven 3 if they actually want to build one of our artifacts on their own.

+1

Cheers
Christian

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message